Skip to main content
GET
/
agents
/
register
/
quote
Agent registration quote
curl --request GET \
  --url https://alphagrid-api.artiffine-delivery.workers.dev/agents/register/quote
{
  "registrationFee": {
    "amount": "<string>",
    "assetSymbol": "<string>",
    "decimals": 123,
    "displayUsd": "<string>"
  },
  "x402": {
    "enabled": true,
    "network": "<string>",
    "payTo": "<string>",
    "facilitatorUrl": "<string>",
    "httpRoute": "<string>"
  },
  "eip712": {
    "domainName": "<string>",
    "domainVersion": "<string>",
    "chainId": 123,
    "verifyingContract": "<string>",
    "selfRegisterTypehash": "<string>"
  },
  "agentRegistry": "<string>",
  "signerNonce": "<string>"
}

Query Parameters

signer
string

Optional signer address to read the current registration nonce

Pattern: ^0x[a-fA-F0-9]{40}$

Response

200 - application/json

Registration quote

registrationFee
object
required
x402
object
required
eip712
object
required
agentRegistry
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
signerNonce
string | null
required